Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 551174 - games-fps/serious-sam-tfe: removal /was: invalid use of nonfatal
Summary: games-fps/serious-sam-tfe: removal /was: invalid use of nonfatal
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Deadline: 2019-10-07
Assignee: No maintainer - Look at https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers if you want to take care of it
URL:
Whiteboard:
Keywords: PMASKED
Depends on:
Blocks: bad-nonfatal
  Show dependency tree
 
Reported: 2015-06-04 09:20 UTC by Michał Górny
Modified: 2019-10-07 08:28 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2015-06-04 09:20:27 UTC
nonfatal unpack ./SeriousSamPatch105_USA_linux.tar.bz2

What the?! So... why do you consider it correct for unpack to fail here, and do nothing about it?
Comment 1 Sergey Popov gentoo-dev Security 2015-06-04 10:12:39 UTC
Because when i add this - it dies BUT unpacking was successful, so i workarounded it :-)

Will check if it still needed now...
Comment 2 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2015-06-04 10:15:50 UTC
Did you file a bug then?
Comment 3 Sergey Popov gentoo-dev Security 2015-06-04 10:48:28 UTC
Here is the output:

>>> Unpacking ./SeriousSamPatch105_USA_linux.tar.bz2 to /var/tmp/portage/games-fps/serious-sam-tfe-1_beta3/work
tar: Controls/05-2nd Mouse.ctl: Cannot open: File exists
tar: Controls/05-2nd Mouse.des: Cannot open: File exists
tar: Data/Default.ifr: Cannot open: File exists
tar: Data/IFeel.txt: Cannot open: File exists
tar: Data/Logitech.ifr: Cannot open: File exists
tar: Data/NoCRC.lst: Cannot open: File exists
tar: Data/Var/Sam_Version.var: Cannot open: File exists
tar: Help/changes.txt: Cannot open: File exists
tar: Help/notes.txt: Cannot open: File exists
tar: Help/ShellSymbols.txt: Cannot open: File exists
tar: Scripts/Commands/kick.ini: Cannot open: File exists
tar: Scripts/Commands/list.ini: Cannot open: File exists
tar: Scripts/Commands/rkick.ini: Cannot open: File exists
tar: Scripts/Commands/rlist.ini: Cannot open: File exists
tar: Scripts/CustomOptions/GFX-AdvancedRendering.cfg: Cannot open: File exists
tar: Scripts/Dedicated_startup.ini: Cannot open: File exists
tar: Scripts/GLSettings/3Dfx-V1.ini: Cannot open: File exists
tar: Scripts/GLSettings/3Dfx-V2.ini: Cannot open: File exists
tar: Scripts/GLSettings/3Dfx-V3.ini: Cannot open: File exists
tar: Scripts/GLSettings/3Dfx-V5.ini: Cannot open: File exists
tar: Scripts/GLSettings/ATI-FGL.ini: Cannot open: File exists
tar: Scripts/GLSettings/ATI-Maxx.ini: Cannot open: File exists
tar: Scripts/GLSettings/ATI-R128.ini: Cannot open: File exists
tar: Scripts/GLSettings/ATI-Radeon.ini: Cannot open: File exists
tar: Scripts/GLSettings/ATI-RPRO.ini: Cannot open: File exists
tar: Scripts/GLSettings/Default.ini: Cannot open: File exists
tar: Scripts/GLSettings/GLSettings.lst: Cannot open: File exists
tar: Scripts/GLSettings/I-i740.ini: Cannot open: File exists
tar: Scripts/GLSettings/I-i752.ini: Cannot open: File exists
tar: Scripts/GLSettings/Initial.ini: Cannot open: File exists
tar: Scripts/GLSettings/MGA-G200.ini: Cannot open: File exists
tar: Scripts/GLSettings/MGA-G400.ini: Cannot open: File exists
tar: Scripts/GLSettings/NV-GF.ini: Cannot open: File exists
tar: Scripts/GLSettings/NV-TNT.ini: Cannot open: File exists
tar: Scripts/GLSettings/PVR-Kyro.ini: Cannot open: File exists
tar: Scripts/GLSettings/RAM.ini: Cannot open: File exists
tar: Scripts/GLSettings/S3-S2K.ini: Cannot open: File exists
tar: Scripts/GLSettings/S3-S4.ini: Cannot open: File exists
tar: Scripts/Menu/GameOptions.cfg: Cannot open: File exists
tar: Scripts/NetSettings/56-normal.des: Cannot open: File exists
tar: Scripts/NetSettings/56-normal.ini: Cannot open: File exists
tar: Scripts/NetSettings/56k-quality.des: Cannot open: File exists
tar: Scripts/NetSettings/56k-quality.ini: Cannot open: File exists
tar: Scripts/NetSettings/DSLCable.des: Cannot open: File exists
tar: Scripts/NetSettings/DSLCable.ini: Cannot open: File exists
tar: Scripts/NetSettings/ISDN.des: Cannot open: File exists
tar: Scripts/NetSettings/ISDN.ini: Cannot open: File exists
tar: Scripts/NetSettings/LAN.des: Cannot open: File exists
tar: Scripts/NetSettings/LAN.ini: Cannot open: File exists
tar: Scripts/NetSettings/OldModem.des: Cannot open: File exists
tar: Scripts/NetSettings/OldModem.ini: Cannot open: File exists
tar: Scripts/PersistentSymbols.ini: Cannot open: File exists
tar: Scripts/WorldEditorKeys/F2.ini: Cannot open: File exists
tar: Scripts/WorldEditorKeys/F3.ini: Cannot open: File exists
tar: Scripts/WorldEditorKeys/F4.ini: Cannot open: File exists
tar: Scripts/WorldEditorKeys/MiddleMouse.ini: Cannot open: File exists
tar: Scripts/WorldEditorKeys/Shift_F2.ini: Cannot open: File exists
tar: Scripts/WorldEditorKeys/Shift_F3.ini: Cannot open: File exists
tar: Scripts/WorldEditorKeys/Shift_F4.ini: Cannot open: File exists
tar: Exiting with failure status due to previous errors

In short - some Linux CDs for Serious Sam contains same data in two archives - unpack goes crazy about it and aborts.
Comment 4 Sergey Popov gentoo-dev Security 2015-06-21 15:28:35 UTC
I do not see any possible solution for this, if you can suggest something, please do it.

For now i am closing this as CANTFIX
Comment 5 Ulrich Müller gentoo-dev 2019-08-12 11:42:54 UTC
Reopening. "nonfatal unpack" only works because Portage doesn't follow PMS, which says that unpack should die unconditionally. There is bug 691776 for this now.

(In reply to Sergey Popov from comment #4)
> I do not see any possible solution for this, if you can suggest something,
> please do it.

Unpack in a separate directory, then move files over?
Comment 6 Ulrich Müller gentoo-dev 2019-08-12 14:45:22 UTC
CD-ROM unpack and no maintainer? So nobody can fix this package.
CCing treecleaners.
Comment 7 Ulrich Müller gentoo-dev 2019-08-12 22:11:20 UTC
In fact, I don't understand how this could ever have worked. serious-sam-tfe-1_beta3.ebuild was added on 2012-09-22, using portage-2.2.0_alpha129 (according to the commit message). In that portage version, nonfatal had no effect on unpack, i.e. unpack would die nevertheless.

Portage started to (incorrectly) respect nonfatal in unpack with version 2.2.16, which was released on 2015-02-08.
Comment 8 Sergey Popov gentoo-dev Security 2019-08-13 09:45:08 UTC
(In reply to Ulrich Müller from comment #7)
> In fact, I don't understand how this could ever have worked.
> serious-sam-tfe-1_beta3.ebuild was added on 2012-09-22, using
> portage-2.2.0_alpha129 (according to the commit message). In that portage
> version, nonfatal had no effect on unpack, i.e. unpack would die
> nevertheless.
> 
> Portage started to (incorrectly) respect nonfatal in unpack with version
> 2.2.16, which was released on 2015-02-08.

Truth is that it worked :-)

I used this ebuild last time in 2015, iirc. Now it is more feasible to try running Serious Sam Fusion in wine, rather than wacking around old beta version that have unresolved bugs in playthrough(e.g permanent stucking in a floor in one particular location, that can not be avoided)...
Comment 9 Larry the Git Cow gentoo-dev 2019-09-07 17:11:19 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0cab2edc528d7b74e7b864f1d2ea764b2657a680

commit 0cab2edc528d7b74e7b864f1d2ea764b2657a680
Author:     Michał Górny <mgorny@gentoo.org>
AuthorDate: 2019-09-07 17:10:21 +0000
Commit:     Michał Górny <mgorny@gentoo.org>
CommitDate: 2019-09-07 17:11:11 +0000

    package.mask: Last rite games-fps/serious-sam-tfe
    
    Bug: https://bugs.gentoo.org/551174
    Signed-off-by: Michał Górny <mgorny@gentoo.org>

 profiles/package.mask | 8 ++++++++
 1 file changed, 8 insertions(+)
Comment 10 Larry the Git Cow gentoo-dev 2019-10-07 08:28:28 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=621943cff17ad3addc3a6813d5c7eff0187b172d

commit 621943cff17ad3addc3a6813d5c7eff0187b172d
Author:     Michał Górny <mgorny@gentoo.org>
AuthorDate: 2019-10-07 08:27:11 +0000
Commit:     Michał Górny <mgorny@gentoo.org>
CommitDate: 2019-10-07 08:27:47 +0000

    games-fps/serious-sam-tfe: Remove last-rited pkg
    
    Closes: https://bugs.gentoo.org/551174
    Signed-off-by: Michał Górny <mgorny@gentoo.org>

 games-fps/serious-sam-tfe/Manifest                 |   4 -
 games-fps/serious-sam-tfe/metadata.xml             |   5 -
 .../serious-sam-tfe/serious-sam-tfe-1_beta3.ebuild | 137 ---------------------
 profiles/arch/amd64/no-multilib/package.mask       |   1 -
 profiles/package.mask                              |   8 --
 5 files changed, 155 deletions(-)